{% load i18n %}

{% comment %}

Context variables:
* list.headers
* list.items
* list.no_items_text

{% endcomment %}

{% if list.rows %}
<table class="table table-striped align-last-td-right">
	<thead>
		{% if list.headers %}
		<tr>
		{% for header in list.headers %}
			<th>{{ header }}</th>
		{% endfor %}
		</tr>
		{% endif %}
	</thead>
	<tbody>
		{% for row in list.rows %}
		<tr>
			{% for cell in row.cells %}
			<td>
				{% for i in row.indent %}
					&nbsp;&nbsp;&nbsp;&nbsp;
				{% endfor %}
				{% if row.is_parent %}
					<span class="icon-caret-down"></span>
				{% endif %}
				
				{% if cell.url %}
				<a href="{{ cell.url }}">
					{% if cell.icon %}
                        <span class="{{ cell.icon }}"></span>
					{% endif %}				
					{{ cell.text }}
				</a>
				{% else %}
					{% if cell.icon %}
					<span class="{{ cell.icon }}"></span>
					{% endif %}								
					{{ cell.text }}
				{% endif %}
			</td>
			{% endfor %}
		</tr>
		{% endfor %}
	</tbody>
</table>

{% if list.items.paginator and list.items.paginator.num_pages > 1 %}
<br />
<div>
	<ul class="pager xpagination xpagination-centered">
		{% if list.items.has_previous %}
		<li>
			<a href="?page={{ list.items.previous_page_number }}">
				<span class="icon-arrow-left"></span>
				{% trans "Previous" %}
			</a>
		</li>
		{% endif %}
		

		<li class="current">
            &nbsp;
            {% blocktrans with page_number=list.items.number page_count=list.items.paginator.num_pages %}
            Page {{ page_number }} of {{ page_count }}
            {% endblocktrans %}
            &nbsp;
        </li>
        
		{% if list.items.has_next %}
	  	<li>
	  		<a href="?page={{ list.items.next_page_number }}">
		  		{% trans "Next" %}
		  		<span class="icon-arrow-right"></span>
	  		</a>
	  	</li>
	  	{% endif %}
	</ul>
</div>
{% endif %}

{% else %}
	<div class="padded-content">
		<div class="alert">
			{{ list.no_items_text|default:"No items available" }}
		</div>
	</div>
{% endif %}